<main class="sides-container">
  <ng-container *ngIf="(clickValuesStream$ | async) as clickValues">
    <section class="colour-side colour-side--red">
      <div class="colour-side__container">
        <button class="colour-side__button colour-side__button--red" (click)="onRedClicked()">
          +1
        </button>
        <div class="colour-side__value">{{ clickValues.red }}</div>
      </div>
    </section>
    <section class="colour-side colour-side--blue">
      <div class="colour-side__container">
        <button class="colour-side__button colour-side__button--blue" (click)="onBlueClicked()">
          +1
        </button>
        <div class="colour-side__value">{{ clickValues.blue }}</div>
      </div>
    </section>
  </ng-container>
</main>
<div
  class="score-meter"
  *ngIf="(relativePercentageClickValuesStream$ | async) as relativePercentageClickValues"
>
  <div
    class="score-meter__side score-meter__side--red"
    [ngStyle]="{
      width: relativePercentageClickValues.red + '%',
      'margin-left': relativePercentageClickValues.blue + '%'
    }"
  ></div>
  <div
    class="score-meter__side score-meter__side--blue"
    [ngStyle]="{
      width: relativePercentageClickValues.blue + '%',
      'margin-right': relativePercentageClickValues.red + '%'
    }"
  ></div>
</div>
